Bug 36180 - [PATCH] Test cases for font-family, font-style and font-weight
Summary: [PATCH] Test cases for font-family, font-style and font-weight
Status: CLOSED FIXED
Alias: None
Product: Fop - Now in Jira
Classification: Unclassified
Component: general (show other bugs)
Version: trunk
Hardware: Other other
: P2 normal
Target Milestone: ---
Assignee: fop-dev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-08-14 08:24 UTC by Manuel Mall
Modified: 2012-04-01 07:06 UTC (History)
0 users



Attachments
The patch to FontInfo and XMLRenderer (4.20 KB, patch)
2005-08-14 08:25 UTC, Manuel Mall
Details | Diff
Test cases - to go in test/layoutengine/testcases (3.30 KB, application/java-archive)
2005-08-14 08:26 UTC, Manuel Mall
Details
The revised patch to FontInfo and XMLRenderer (4.79 KB, patch)
2005-08-15 14:51 UTC, Manuel Mall
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Manuel Mall 2005-08-14 08:24:33 UTC
Adds showing the font-name, font-style and font-weight attributes to the XML
renderer and adds layout engine test cases for font-family, font-style and
font-weight.

It should be noted that the font information carried in the area tree does not
allow unique mapping back into font-style and font-weight. The internal font key
kept by FOP can map back into multiple styles/weights. To achieve consistent
results for the test cases this patch will output in the XML renderer the first
style or weight associated with a font key based on an internal sort.
Comment 1 Manuel Mall 2005-08-14 08:25:18 UTC
Created attachment 16041 [details]
The patch to FontInfo and XMLRenderer
Comment 2 Manuel Mall 2005-08-14 08:26:01 UTC
Created attachment 16042 [details]
Test cases - to go in test/layoutengine/testcases
Comment 3 Chris Bowditch 2005-08-15 11:46:53 UTC
You have added a fontInfo member to the XmlRenderer. XmlRenderer inherits from 
AbstractRenderer, and so does PrintRenderer. The only thing added to 
AbstractRenderer by PrintRenderer is the member fontInfo and the corresponding 
fontSetup method. This raises the question: should XmlRenderer directly 
inherit from PrintRenderer?
Comment 4 Jeremias Maerki 2005-08-15 11:58:11 UTC
(In reply to comment #3)
> should XmlRenderer directly inherit from PrintRenderer?

That would be best in this case.

Comment 5 Manuel Mall 2005-08-15 13:23:13 UTC
Chris,

sounds OK to me the change of inheritance. Do you want me to provide a revised 
patch?
Comment 6 Chris Bowditch 2005-08-15 14:44:04 UTC
Yes please :)
Comment 7 Manuel Mall 2005-08-15 14:51:12 UTC
Created attachment 16047 [details]
The revised patch to FontInfo and XMLRenderer
Comment 8 Chris Bowditch 2005-08-15 15:24:01 UTC
Patch Applied. Thanks very much.
Comment 9 Glenn Adams 2012-04-01 07:06:39 UTC
batch transition pre-FOP1.0 resolved+fixed bugs to closed+fixed